" Set unknown filetypes
autocmd BufRead,BufNewFile *.scad set filetype=openscad
autocmd BufRead,BufNewFile *.vpy  set filetype=python
autocmd BufRead,BufNewFile *.tex  set filetype=tex

" Set properties
autocmd Filetype arduino setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype c setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype cpp setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype css setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype dart setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype dockerfile setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype dot setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype elm setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype gitcommit setlocal colorcolumn=72
autocmd Filetype go setlocal ts=4 sw=4 sts=4
autocmd Filetype haskell setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype html setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype html.twig setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype javascript setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype jinja setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype json setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype less setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype lua setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype markdown setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype openscad setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype php setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype python setlocal ts=4 sw=4 sts=4 expandtab
autocmd Filetype sass setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype scss setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype sh setlocal ts=4 sw=4 sts=4
autocmd Filetype svg setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype tex setlocal ts=1 sw=1 sts=1 expandtab
autocmd Filetype tf setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype toml setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype vim setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype vue setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype xml setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype yaml setlocal ts=2 sw=2 sts=2 expandtab
autocmd Filetype zsh setlocal ts=4 sw=4 sts=4 expandtab
